<?php
namespace HelloWorld;

use Zend\ServiceManager\Factory\InvokableFactory;
use Zend\Router\Http\Segment;

return [
	'controllers' => [
		'factories' => [
			Controller\IndexController::class => InvokableFactory::class,
		],	
	],	
	
	'router' => [
		'routes' => [
			'hello-world' => [
				'type' => Segment::class,
				'options' => [
					'route' => '/hello-world[/:action]',
					'defaults' => [
						'controller' => Controller\IndexController::class,
						'action' => 'index',
					],
				],
			],	
		],	
	],	
		
	'view_manager' => [
		'template_path_stack' => [
			'hello-world' => __DIR__ . '/../view',	
		],	
	],
];